Package org.eclipse.m2m.atl.engine.vm.nativelib

# Class ASMBoolean

java.lang.Object
org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
org.eclipse.m2m.atl.engine.vm.nativelib.ASMBoolean

public class ASMBoolean extends ASMOclAny

## Field Summary

Fields
Modifier and Type
Field
Description
`static ASMOclType`
`myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

## Constructor Summary

Constructors
Constructor
Description
`ASMBoolean(boolean s)`

## Method Summary

Modifier and Type
Method
Description
`static ASMBoolean`
`and(StackFrame frame, ASMBoolean self, ASMBoolean o)`
`boolean`
`equals(Object o)`
`boolean`
`getSymbol()`
`int`
`hashCode()`
`static ASMBoolean`
`implies(StackFrame frame, ASMBoolean self, ASMBoolean o)`
`static ASMBoolean`
`not(StackFrame frame, ASMBoolean self)`
`static ASMBoolean`
`or(StackFrame frame, ASMBoolean self, ASMBoolean o)`
`String`
`toString()`
`static ASMString`
`toString(StackFrame frame, ASMBoolean self)`
`static ASMBoolean`
`xor(StackFrame frame, ASMBoolean self, ASMBoolean o)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, get, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### myType

public static ASMOclType myType

## Constructor Details

### ASMBoolean

public ASMBoolean(boolean s)

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getSymbol

public boolean getSymbol()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### not

public static ASMBoolean not(StackFrame frame, ASMBoolean self)

### and

public static ASMBoolean and(StackFrame frame, ASMBoolean self, ASMBoolean o)

### or

public static ASMBoolean or(StackFrame frame, ASMBoolean self, ASMBoolean o)

### xor

public static ASMBoolean xor(StackFrame frame, ASMBoolean self, ASMBoolean o)

### implies

public static ASMBoolean implies(StackFrame frame, ASMBoolean self, ASMBoolean o)

### toString

public static ASMString toString(StackFrame frame, ASMBoolean self)